## Script (Python) "validate_PloneChat_edit"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=Validates a PloneChat edit
##

validator = context.portal_form.createForm()
validator.addField('title', 'String', required=1)
errors = validator.validate(context.REQUEST)

id = context.REQUEST.get('id', '').strip()
id_err = context.check_id(id)
if id_err:
    errors['id'] = id_err


refresh_rate = context.REQUEST.get('refresh_rate', '')

try:
    test = int(refresh_rate)
except:
    errors['refresh_rate'] = 'Mandatory int'
  
if errors:
   message='Please correct the indicated errors.'
   return ('failure', errors, {'portal_status_message':message})
else:
   message='Your document changes have been saved.'
   return ('success', errors, {'portal_status_message':message})
