#################################################################################
#                                                                               #
#                       copyright (c) 2003 Ingeniweb SARL                       #
#                                                                               #
#################################################################################

"""PloneChat Product"""

from global_symbols import *

from Products.CMFCore.DirectoryView import registerDirectory
from Products.CMFCore import utils, CMFCorePermissions

import PloneChat

import Globals, os

registerDirectory('skins', globals())
registerDirectory('skins/PloneChat', globals())

install_globals = globals()          # Used only in the Extensions/Install.py script


# Classes & constructors declaration
contentClasses = (PloneChat.PloneChat, )
contentConstructors = (PloneChat.addPloneChat, )


# Initialization method
def initialize(context):
    utils.ContentInit(
        'A simple chat',
        content_types = contentClasses,
        permission = PloneChat_addPermission,
        extra_constructors = contentConstructors,
        fti = (PloneChat.factory_type_information,),
        ).initialize(context)

    # Directory checking
    Log(LOG_DEBUG, "Checking $ZOPE/var/PloneChat directory")
    if not os.path.exists(var_dir):
        Log(LOG_NOTICE, "Creation $ZOPE/var/PloneChat directory")
        os.mkdir(var_dir)
